Versions of SMO 'compatible' with SQL2016

Category: sql server smodmo

Question

Philip Luke on Thu, 25 May 2017 13:35:20


Hi, hope this isnt a silly question but is it okay/right/possible to install 2008R2 SMO on a SQL 2016 server? There is a legacy application which states it will only use 2008 R2 version. The application is installed on the SQL server itself too...

Thank you

Phil


Phil

Replies

Satish Kumar Gajula on Thu, 25 May 2017 18:04:01


Hi,

You can install SQL2008R2 SMO, its not an issue even if you are running sql server 2016.

Thanks,

Hilary Cotter on Thu, 25 May 2017 18:08:45


While you can  install SQL 2008 r2 smo, IMHO a better choice would be to install the 2016 ones. Test to see if the app will work with the SQL 2016 ones which you can download here.

https://www.microsoft.com/en-us/download/details.aspx?id=52676

Look for the msi SharedManagementObjects.msi.

Philip Luke on Fri, 26 May 2017 07:35:06


Thank you

Philip Luke on Fri, 26 May 2017 07:35:17


Thank you